Skip to main content
POST
/
v1
/
offers
/
{id}
/
void
Void an offer
curl --request POST \
  --url https://api.plane.com/v1/offers/{id}/void \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
import requests

url = "https://api.plane.com/v1/offers/{id}/void"

payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};

fetch('https://api.plane.com/v1/offers/{id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Void a draft, sent, or expired offer. Voided offers cannot be accepted by the candidate. Use an Idempotency-Key header when retrying void requests. See Idempotency.

Parameters

id
string
required
ID of the offer.
reason
string
Optional reason to store with the void transition.

Returns

Returns the updated Offer object.